Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis
Class AnalysisControllerThread

    java.lang.Object
      java.lang.Thread
          kieker.analysis.AnalysisControllerThread

All Implemented Interfaces:
  Runnable

    public final class AnalysisControllerThread

extends Thread

Allows spawn the execution of an `AnalysisController` into a separate `Thread`. The thread with the `AnalysisController` instance provided in the constructor `AnalysisControllerThread(IAnalysisController)` is started by calling the `start()` method. The analysis can be terminated by calling the `terminate()` method which delegates the call to the `AnalysisController.terminate()` method.

Since:
  1.4
Author:
  Andre van Hoorn, Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AnalysisControllerThread(IAnalysisController analysisController)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `awaitTermination()` Awaits the termination of the contained `AnalysisController`.
`boolean` | `awaitTermination(long timeout, TimeUnit unit)` Awaits (with timeout) the termination of the contained `AnalysisController`.
`void` | `run()`
`void` | `start()`
`void` | `terminate()` Initiates a termination of the executed `AnalysisController`.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalysisControllerThread

    public AnalysisControllerThread(IAnalysisController analysisController)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `analysisController` - The analysis controller to be managed by this thread.

Method Detail

### start

    public void start()

  Overrides:
    `start` in class `Thread`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### awaitTermination

    public boolean awaitTermination(long timeout,
                                    TimeUnit unit)
                             throws InterruptedException

  Awaits (with timeout) the termination of the contained `AnalysisController`.

  Parameters:
    `timeout` - The maximum time to wait
    `unit` - The time unit of the timeout.
  Returns:
    see `CountDownLatch.await(long, TimeUnit)`
  Throws:
    `InterruptedException` - If the current thread has been interrupted while waiting.

### awaitTermination

    public void awaitTermination()
                          throws InterruptedException

  Awaits the termination of the contained `AnalysisController`.

  Throws:
    `InterruptedException` - If the current thread has been interrupted while waiting.

### terminate

    public void terminate()

  Initiates a termination of the executed `AnalysisController`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net